Skip to main content
POST
/
email
/
campaigns
Create Email Campaign
curl --request POST \
  --url https://api.getoutbox.ai/email/campaigns/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sender_identity_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "description": "<string>",
  "timezone": "<string>",
  "allowed_windows": "<unknown>",
  "stop_on_reply": true,
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "responder_agent": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "steps": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_at": "2023-11-07T05:31:56Z",
      "campaign": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "step_order": 1,
      "subject": "<string>",
      "body_html": "<string>",
      "body_text": "<string>",
      "delay_minutes": 1073741823,
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "sender_identities": "<string>",
  "sent_count": "<string>",
  "unique_opens": "<string>",
  "unique_clicks": "<string>",
  "replies": "<string>",
  "name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sender_identity_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "description": "<string>",
  "timezone": "<string>",
  "allowed_windows": "<unknown>",
  "stop_on_reply": true,
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "responder_agent": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

name
string
required
Required string length: 1 - 255
company
string<uuid>
required
sender_identity_ids
string<uuid>[]

Optional sender pool for random campaign sending.

status
enum<string>
  • draft - Draft
  • active - Active
  • paused - Paused
  • completed - Completed
  • cancelled - Cancelled
Available options:
draft,
active,
paused,
completed,
cancelled
description
string
timezone
string
Maximum string length: 64
allowed_windows
any
stop_on_reply
boolean
is_deleted
boolean
created_at
string<date-time>
workflow
string<uuid> | null
created_by
string<uuid> | null
responder_agent
string<uuid> | null

Response

201 - application/json
id
string<uuid>
required
read-only
steps
object[]
required
read-only
sender_identities
string
required
read-only
sent_count
string
required
read-only
unique_opens
string
required
read-only
unique_clicks
string
required
read-only
replies
string
required
read-only
name
string
required
Maximum string length: 255
updated_at
string<date-time>
required
read-only
company
string<uuid>
required
sender_identity_ids
string<uuid>[]

Optional sender pool for random campaign sending.

status
enum<string>
  • draft - Draft
  • active - Active
  • paused - Paused
  • completed - Completed
  • cancelled - Cancelled
Available options:
draft,
active,
paused,
completed,
cancelled
description
string
timezone
string
Maximum string length: 64
allowed_windows
any
stop_on_reply
boolean
is_deleted
boolean
created_at
string<date-time>
workflow
string<uuid> | null
created_by
string<uuid> | null
responder_agent
string<uuid> | null